Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Static Public Member Functions | Static Protected Member Functions | List of all members
Scroller Class Reference

`#include <Scroller.h>`

Inheritance diagram for Scroller:

## Public Member Functions
| Scroller ()
virtual | ~Scroller ()
void | setRepeatX (const F32 repeatX)
void | setRepeatY (const F32 repeatY)
void | setRepeat (const F32 repeatX, const F32 repeatY)
void | setScrollX (F32 x)
void | setScrollY (F32 y)
void | setScroll (F32 scrollX=0.0f, F32 scrollY=0.0f)
void | setScrollPositionX (F32 scrollX)
void | setScrollPositionY (F32 scrollY)
void | setScrollPosition (F32 scrollX, F32 scrollY)
F32 | getRepeatX ()
F32 | getRepeatY ()
F32 | getScrollX ()
F32 | getScrollY ()
F32 | getScrollPositionX ()
F32 | getScrollPositionY ()
void | resetTickScrollPositions (void)
| Tick Processing. More...
void | updateTickScrollPosition (void)
virtual void | interpolateObject (const F32 timeDelta)
virtual bool | onAdd ()
| Engine. More...
virtual void | onRemove ()
| Called when the object is removed from the sim. More...
virtual void | integrateObject (const F32 totalTime, const F32 elapsedTime, DebugStats *pDebugStats)
virtual void | sceneRender (const SceneRenderState *pSceneRenderState, const SceneRenderRequest *pSceneRenderRequest, BatchRender *pBatchRenderer)
virtual void | setAngle (const F32 radians)
virtual void | setFixedAngle (const bool fixed)
virtual void | copyTo (SimObject *object)
| DECLARE_CONOBJECT (Scroller)
| Declare Console Object. More...
Public Member Functions inherited from SpriteBase
| SpriteBase ()
virtual | ~SpriteBase ()
virtual bool | validRender (void) const
virtual bool | shouldRender (void) const
| DECLARE_CONOBJECT (SpriteBase)
| Declare Console Object. More...
Public Member Functions inherited from SceneObject
| SceneObject ()
virtual | ~SceneObject ()
virtual void | onDestroyNotify (SceneObject *pSceneObject)
virtual void | preIntegrate (const F32 totalTime, const F32 elapsedTime, DebugStats *pDebugStats)
| Integration. More...
virtual void | postIntegrate (const F32 totalTime, const F32 elapsedTime, DebugStats *pDebugStats)
bool | getIsEditorTickAllowed (void) const
void | setBatchIsolated (const bool batchIsolated)
| Render batching. More...
virtual bool | getBatchIsolated (void)
virtual bool | isBatchRendered (void)
virtual bool | canPrepareRender (void) const
| Render Output. More...
virtual void | scenePrepareRender (const SceneRenderState *pSceneRenderState, SceneRenderQueue *pSceneRenderQueue)
virtual void | sceneRenderFallback (const SceneRenderState *pSceneRenderState, const SceneRenderRequest *pSceneRenderRequest, BatchRender *pBatchRenderer)
virtual void | sceneRenderOverlay (const SceneRenderState *pSceneRenderState)
virtual U32 | packUpdate (NetConnection *conn, U32 mask, BitStream *stream)
| Networking. More...
virtual void | unpackUpdate (NetConnection *conn, BitStream *stream)
Scene *const | getScene (void) const
| Scene. More...
F32 | getSceneTime (void) const
virtual void | setEnabled (const bool enabled)
| Enabled. More...
void | setLifetime (const F32 lifetime)
| Lifetime. More...
F32 | getLifetime (void) const
void | updateLifetime (const F32 elapsedTime)
void | setSceneLayer (const U32 sceneLayer)
| Scene layers. More...
U32 | getSceneLayer (void) const
U32 | getSceneLayerMask (void) const
void | setSceneLayerDepth (const F32 order)
| Scene Layer depth. More...
F32 | getSceneLayerDepth (void) const
bool | setSceneLayerDepthFront (void)
bool | setSceneLayerDepthBack (void)
bool | setSceneLayerDepthForward (void)
bool | setSceneLayerDepthBackward (void)
void | setSceneGroup (const U32 sceneGroup)
| Scene groups. More...
U32 | getSceneGroup (void) const
U32 | getSceneGroupMask (void) const
virtual void | setArea (const Vector2 &corner1, const Vector2 &corner2)
| Area. More...
bool | getAutoSizing (void) const
virtual void | setSize (const Vector2 &size)
void | setSize (const F32 width, const F32 height)
Vector2 | getSize (void) const
Vector2 | getHalfSize (void) const
b2AABB | getAABB (void) const
RectF | getAABBRectangle (void) const
S32 | getWorldProxy (void) const
virtual void | setPosition (const Vector2 &position)
| Position / Angle. More...
Vector2 | getPosition (void) const
Vector2 | getRenderPosition (void) const
F32 | getRenderAngle (void) const
const b2Vec2 * | getRenderOOBB (void) const
const b2Vec2 * | getLocalSizedOOBB (void) const
F32 | getAngle (void) const
bool | getFixedAngle (void) const
b2Transform | getTransform (void) const
b2Transform | getRenderTransform (void) const
Vector2 | getLocalCenter (void) const
Vector2 | getWorldCenter (void) const
Vector2 | getLocalPoint (const Vector2 &worldPoint)
Vector2 | getWorldPoint (const Vector2 &localPoint)
Vector2 | getLocalVector (const Vector2 &worldVector)
Vector2 | getWorldVector (const Vector2 &localVector)
bool | getIsPointInOOBB (const Vector2 &worldPoint)
bool | getIsPointInCollisionShape (const U32 shapeIndex, const Vector2 &worldPoint)
virtual ePhysicsProxyType | getPhysicsProxyType (void) const
| Body. More...
b2Body * | getBody (void) const
void | setBodyType (const b2BodyType type)
b2BodyType | getBodyType (void) const
void | setActive (const bool active)
bool | getActive (void) const
void | setAwake (const bool awake)
bool | getAwake (void) const
void | setBullet (const bool bullet)
bool | getBullet (void) const
void | setSleepingAllowed (const bool allowed)
bool | getSleepingAllowed (void) const
F32 | getMass (void) const
F32 | getInertia (void) const
void | setCollisionAgainst (const SceneObject *pSceneObject, const bool clearMasks)
| Collision control. More...
void | setCollisionGroupMask (const U32 groupMask)
U32 | getCollisionGroupMask (void) const
void | setCollisionLayerMask (const U32 layerMask)
U32 | getCollisionLayerMask (void) const
void | setDefaultDensity (const F32 density, const bool updateShapes=true)
F32 | getDefaultDensity (void) const
void | setDefaultFriction (const F32 friction, const bool updateShapes=true)
F32 | getDefaultFriction (void) const
void | setDefaultRestitution (const F32 restitution, const bool updateShapes=true)
F32 | getDefaultRestitution (void) const
void | setCollisionSuppress (const bool status)
bool | getCollisionSuppress (void) const
void | setCollisionOneWay (const bool status)
bool | getCollisionOneWay (void) const
const Scene::typeContactVector * | getCurrentContacts (void) const
U32 | getCurrentContactCount (void) const
virtual void | setGatherContacts (const bool gatherContacts)
bool | getGatherContacts (void) const
virtual void | onBeginCollision (const TickContact &tickContact)
virtual void | onEndCollision (const TickContact &tickContact)
void | setLinearVelocity (const Vector2 &velocity)
| Velocities. More...
Vector2 | getLinearVelocity (void) const
Vector2 | getLinearVelocityFromWorldPoint (const Vector2 &worldPoint)
Vector2 | getLinearVelocityFromLocalPoint (const Vector2 &localPoint)
void | setAngularVelocity (const F32 velocity)
F32 | getAngularVelocity (void) const
void | setLinearDamping (const F32 damping)
F32 | getLinearDamping (void) const
void | setAngularDamping (const F32 damping)
F32 | getAngularDamping (void) const
bool | moveTo (const Vector2 &targetWorldPoint, const F32 speed, const bool autoStop=true, const bool snapToTarget=true, const F32 margin=0.1f)
| Move/Rotate to. More...
bool | rotateTo (const F32 targetAngle, const F32 speed, const bool autoStop=true, const bool warpToTarget=true)
void | cancelMoveTo (const bool autoStop=true)
void | cancelRotateTo (const bool autoStop=true)
bool | isMoveToComplete (void) const
bool | isRotateToComplete (void) const
void | updateTargetPosition (void)
bool | fadeTo (const ColorF &targetColor, const F32 deltaRed, const F32 deltaGreen, const F32 deltaBlue, const F32 deltaAlpha)
void | cancelFadeTo (void)
bool | isFadeToComplete (void) const
void | updateBlendColor (const F32 elapsedTime)
bool | growTo (const Vector2 &targetSize, const Vector2 &deltaSize)
void | cancelGrowTo (void)
bool | isGrowToComplete (void) const
void | updateSize (const F32 elapsedTime)
void | applyForce (const Vector2 &worldForce, const bool wake=true)
| Force and impulse. More...
void | applyForce (const Vector2 &worldForce, const Vector2 &worldPoint, const bool wake=true)
void | applyTorque (const F32 torque, const bool wake=true)
void | applyLinearImpulse (const Vector2 &worldImpulse, const bool wake=true)
void | applyLinearImpulse (const Vector2 &worldImpulse, const Vector2 &worldPoint, const bool wake=true)
void | applyAngularImpulse (const F32 impulse, const bool wake=true)
void | setGravityScale (const F32 scale)
| Gravity scaling. More...
F32 | getGravityScale (void) const
void | deleteCollisionShape (const U32 shapeIndex)
| General collision shape access. More...
void | clearCollisionShapes (void)
U32 | getCollisionShapeCount (void) const
b2Shape::Type | getCollisionShapeType (const U32 shapeIndex) const
S32 | getCollisionShapeIndex (const b2Fixture *pFixture) const
void | setCollisionShapeDefinition (const U32 shapeIndex, const b2FixtureDef &fixtureDef)
b2FixtureDef | getCollisionShapeDefinition (const U32 shapeIndex) const
const b2CircleShape * | getCollisionCircleShape (const U32 shapeIndex) const
const b2PolygonShape * | getCollisionPolygonShape (const U32 shapeIndex) const
const b2ChainShape * | getCollisionChainShape (const U32 shapeIndex) const
const b2EdgeShape * | getCollisionEdgeShape (const U32 shapeIndex) const
void | setCollisionShapeDensity (const U32 shapeIndex, const F32 density)
F32 | getCollisionShapeDensity (const U32 shapeIndex) const
void | setCollisionShapeFriction (const U32 shapeIndex, const F32 friction)
F32 | getCollisionShapeFriction (const U32 shapeIndex) const
void | setCollisionShapeRestitution (const U32 shapeIndex, const F32 restitution)
F32 | getCollisionShapeRestitution (const U32 shapeIndex) const
void | setCollisionShapeIsSensor (const U32 shapeIndex, const bool isSensor)
bool | getCollisionShapeIsSensor (const U32 shapeIndex) const
S32 | createCircleCollisionShape (const F32 radius)
| Circle collision shape creation. More...
S32 | createCircleCollisionShape (const F32 radius, const b2Vec2 &localPosition)
F32 | getCircleCollisionShapeRadius (const U32 shapeIndex) const
| Circle collision shape access. More...
Vector2 | getCircleCollisionShapeLocalPosition (const U32 shapeIndex) const
S32 | createPolygonCollisionShape (const U32 pointCount, const b2Vec2 *localPoints)
| Polygon collision shape creation. More...
S32 | createPolygonBoxCollisionShape (const F32 width, const F32 height)
S32 | createPolygonBoxCollisionShape (const F32 width, const F32 height, const b2Vec2 &localCentroid)
S32 | createPolygonBoxCollisionShape (const F32 width, const F32 height, const b2Vec2 &localCentroid, const F32 rotation)
U32 | getPolygonCollisionShapePointCount (const U32 shapeIndex) const
| Polygon collision shape access. More...
Vector2 | getPolygonCollisionShapeLocalPoint (const U32 shapeIndex, const U32 pointIndex) const
S32 | createChainCollisionShape (const U32 pointCount, const b2Vec2 *localPoints)
| Chain collision shape creation. More...
S32 | createChainCollisionShape (const U32 pointCount, const b2Vec2 *localPoints, const bool hasAdjacentLocalPositionStart, const bool hasAdjacentLocalPositionEnd, const b2Vec2 &adjacentLocalPositionStart, const b2Vec2 &adjacentLocalPositionEnd)
U32 | getChainCollisionShapePointCount (const U32 shapeIndex) const
| Chain collision shape access. More...
Vector2 | getChainCollisionShapeLocalPoint (const U32 shapeIndex, const U32 pointIndex) const
bool | getChainCollisionShapeHasAdjacentStart (const U32 shapeIndex) const
bool | getChainCollisionShapeHasAdjacentEnd (const U32 shapeIndex) const
Vector2 | getChainCollisionShapeAdjacentStart (const U32 shapeIndex) const
Vector2 | getChainCollisionShapeAdjacentEnd (const U32 shapeIndex) const
S32 | createEdgeCollisionShape (const b2Vec2 &localPositionStart, const b2Vec2 &localPositionEnd)
| Edge collision shape creation. More...
S32 | createEdgeCollisionShape (const b2Vec2 &localPositionStart, const b2Vec2 &localPositionEnd, const bool hasAdjacentLocalPositionStart, const bool hasAdjacentLocalPositionEnd, const b2Vec2 &adjacentLocalPositionStart, const b2Vec2 &adjacentLocalPositionEnd)
Vector2 | getEdgeCollisionShapeLocalPositionStart (const U32 shapeIndex) const
| Edge collision shape access. More...
Vector2 | getEdgeCollisionShapeLocalPositionEnd (const U32 shapeIndex) const
bool | getEdgeCollisionShapeHasAdjacentStart (const U32 shapeIndex) const
bool | getEdgeCollisionShapeHasAdjacentEnd (const U32 shapeIndex) const
Vector2 | getEdgeCollisionShapeAdjacentStart (const U32 shapeIndex) const
Vector2 | getEdgeCollisionShapeAdjacentEnd (const U32 shapeIndex) const
void | setVisible (const bool status)
| Render visibility. More...
bool | getVisible (void) const
void | setBlendMode (const bool blendMode)
| Render blending. More...
bool | getBlendMode (void) const
void | setSrcBlendFactor (const S32 blendFactor)
S32 | getSrcBlendFactor (void) const
void | setDstBlendFactor (const S32 blendFactor)
S32 | getDstBlendFactor (void) const
void | setBlendColor (const ColorF &blendColor)
const ColorF & | getBlendColor (void) const
void | setBlendAlpha (const F32 alpha)
F32 | getBlendAlpha (void) const
void | setAlphaTest (const F32 alpha)
F32 | getAlphaTest (void) const
void | setBlendOptions (void)
void | setSortPoint (const Vector2 &pt)
| Render sorting. More...
const Vector2 & | getSortPoint (void) const
void | setRenderGroup (const char *pRenderGroup)
StringTableEntry | getRenderGroup (void) const
void | setUseInputEvents (bool mouseStatus)
| Input events. More...
bool | getUseInputEvents (void) const
virtual void | onInputEvent (StringTableEntry name, const GuiEvent &event, const Vector2 &worldMousePoint)
void | setUpdateCallback (bool status)
bool | getUpdateCallback (void) const
void | setCollisionCallback (const bool status)
bool | getCollisionCallback (void) const
void | setSleepingCallback (bool status)
bool | getSleepingCallback (void) const
void | setDebugOn (const U32 debugMask)
| Debug mode. More...
void | setDebugOff (const U32 debugMask)
U32 | getDebugMask (void) const
void | addCameraMountReference (SceneWindow *pAttachedCamera)
| Camera mounting. More...
void | removeCameraMountReference (void)
void | dismountCamera (void)
void | attachGui (GuiControl *pGuiControl, SceneWindow *pSceneWindow, const bool sizeControl)
void | detachGui (void)
void | updateAttachedGui (void)
void | setPickingAllowed (const bool pickingAllowed)
bool | getPickingAllowed (void) const
virtual void | copyFrom (SceneObject *pSceneObject, const bool copyDynamicFields)
| Cloning. More...
S32 | copyCollisionShapes (SceneObject *pSceneObject, const bool clearTargetShapes=true, const S32 shapeIndex=-1)
void | setSafeDelete (const bool status)
| Safe deletion. More...
bool | getSafeDelete (void) const
bool | isBeingDeleted (void) const
virtual void | safeDelete (void)
void | addDestroyNotification (SceneObject *pSceneObject)
| Destroy notifications. More...
void | removeDestroyNotification (SceneObject *pSceneObject)
void | processDestroyNotifications (void)
void | notifyComponentsAddToScene (void)
| Component notifications. More...
void | notifyComponentsRemoveFromScene (void)
void | notifyComponentsUpdate (void)
const char * | scriptThis (void) const
| Miscellaneous. More...
bool | getIsAlwaysInScope (void) const
void | setWorldQueryKey (const U32 key)
U32 | getWorldQueryKey (void) const
U32 | getSerialId (void) const
virtual bool | writeField (StringTableEntry fieldname, const char *value)
| DECLARE_CONOBJECT (SceneObject)
| Declare Console Object. More...
Public Member Functions inherited from BehaviorComponent
| BehaviorComponent ()
virtual | ~BehaviorComponent ()
virtual void | onDeleteNotify (SimObject *object)
BehaviorInstance * | getBehaviorByInstanceId (const U32 behaviorId)
| Behavior interface. More...
virtual bool | addBehavior (BehaviorInstance *bi)
virtual bool | removeBehavior (BehaviorInstance *bi, bool deleteBehavior=true)
virtual void | clearBehaviors ()
virtual U32 | getBehaviorCount () const
virtual const SimSet & | getBehaviors () const
virtual BehaviorInstance * | getBehavior (StringTableEntry behaviorTemplateName)
virtual BehaviorInstance * | getBehavior (const U32 index)
virtual bool | reOrder (BehaviorInstance *obj, U32 desiredIndex)
bool | connect (BehaviorInstance *pOutputBehavior, BehaviorInstance *pInputBehavior, StringTableEntry pOutputName, StringTableEntry pInputName)
| Behavior connectivity. More...
bool | disconnect (BehaviorInstance *pOutputBehavior, BehaviorInstance *pInputBehavior, StringTableEntry pOutputName, StringTableEntry pInputName)
bool | raise (BehaviorInstance *pOutputBehavior, StringTableEntry pOutputName)
U32 | getBehaviorConnectionCount (BehaviorInstance *pOutputBehavior, StringTableEntry pOutputName)
const BehaviorPortConnection * | getBehaviorConnection (BehaviorInstance *pOutputBehavior, StringTableEntry pOutputName, const U32 connectionIndex)
const typePortConnectionVector * | getBehaviorConnections (BehaviorInstance *pOutputBehavior, StringTableEntry pOutputName)
virtual bool | handlesConsoleMethod (const char *fname, S32 *routingId)
| DynamicConsoleMethodComponent Overrides. More...
virtual const char * | callOnBehaviors (U32 argc, const char *argv[])
virtual void | write (Stream &stream, U32 tabStop, U32 flags=0)
| SimComponent overrides. More...
| DECLARE_CONOBJECT (BehaviorComponent)
Public Member Functions inherited from DynamicConsoleMethodComponent
const char * | callMethod (S32 argc, const char *methodName,...)
| Call Method format string. More...
virtual const char * | callMethodArgList (U32 argc, const char *argv[], bool callThis=true)
| Call Method. More...
| DECLARE_CONOBJECT (DynamicConsoleMethodComponent)
Public Member Functions inherited from SimComponent
| DECLARE_CONOBJECT (SimComponent)
| SimComponent ()
virtual | ~SimComponent ()
virtual bool | processArguments (S32 argc, const char **argv)
| Process constructor options. (ie, new SimObject(1,2,3)) More...
bool | hasComponents () const
| Will return true if this object contains components. More...
const SimComponent * | getOwner () const
| The component which owns this object. More...
virtual StringTableEntry | getComponentName ()
virtual bool | addComponent (SimComponent *component)
| Add Component to this one. More...
virtual bool | removeComponent (SimComponent *component)
| Remove Component from this one. More...
virtual bool | clearComponents ()
| Clear Child components of this one. More...
virtual bool | onComponentAdd (SimComponent *target)
virtual void | onComponentRemove (SimComponent *target)
U32 | getComponentCount ()
SimComponent * | getComponent (const U32 index)
bool | isEnabled () const
virtual void | onUpdate (void)
virtual void | onAddToScene (void)
virtual void | onRemoveFromScene (void)
bool | callMethodOnComponents (U32 argc, const char *argv[], const char **result)
Public Member Functions inherited from SimObject
StringTableEntry | getClassNamespace () const
StringTableEntry | getSuperClassNamespace () const
void | setClassNamespace (const char *classNamespace)
void | setSuperClassNamespace (const char *superClassNamespace)
void | pushScriptCallbackGuard (void)
void | popScriptCallbackGuard (void)
S32 | getScriptCallbackGuard (void)
virtual SimObject * | findObject (const char *name)
Namespace * | getNamespace ()
| Return the object's namespace. More...
const char * | tabComplete (const char *prevText, S32 baseLen, bool)
virtual void | dump ()
virtual void | dumpClassHierarchy ()
SimObject * | clone (const bool copyDynamicFields)
template<typename T >
bool | isType (void)
| DECLARE_CONOBJECT (SimObject)
Notify * | removeNotify (void *ptr, Notify::Type)
| Remove a notification from the list. More...
void | deleteNotify (SimObject *obj)
| Notify an object when we are deleted. More...
void | clearNotify (SimObject *obj)
| Notify an object when we are cleared. More...
void | clearAllNotifications ()
| Remove all notifications for this object. More...
void | processDeleteNotifies ()
| Send out deletion notifications. More...
void | registerReference (SimObject **obj)
void | unregisterReference (SimObject **obj)
const char * | getDataField (StringTableEntry slotName, const char *array)
void | setDataField (StringTableEntry slotName, const char *array, const char *value)
const char * | getPrefixedDataField (StringTableEntry fieldName, const char *array)
void | setPrefixedDataField (StringTableEntry fieldName, const char *array, const char *value)
const char * | getPrefixedDynamicDataField (StringTableEntry fieldName, const char *array, const S32 fieldType=-1)
void | setPrefixedDynamicDataField (StringTableEntry fieldName, const char *array, const char *value, const S32 fieldType=-1)
StringTableEntry | getDataFieldPrefix (StringTableEntry fieldName)
U32 | getDataFieldType (StringTableEntry slotName, const char *array)
SimFieldDictionary * | getFieldDictionary ()
void | clearDynamicFields (void)
| Clear all dynamic fields. More...
void | setCanSaveDynamicFields (bool bCanSave)
| Set whether fields created at runtime should be saved. Default is true. More...
bool | getCanSaveDynamicFields (void) const
| Get whether fields created at runtime should be saved. Default is true. More...
void | setInternalName (const char *newname)
StringTableEntry | getInternalName ()
| Get the internal of of this control. More...
virtual bool | save (const char *pcFilePath, bool bOnlySelected=false)
| Save object as a TorqueScript File. More...
virtual bool | isMethod (const char *methodName)
| Check if a method exists in the objects current namespace. More...
SimObjectId | getId (void) const
StringTableEntry | getIdString (void) const
U32 | getType () const
const StringTableEntry | getName (void) const
void | setId (SimObjectId id)
void | assignName (const char *name)
SimGroup * | getGroup () const
bool | isChildOfGroup (SimGroup *pGroup)
bool | isProperlyAdded () const
bool | isDeleted () const
bool | isRemoved () const
bool | isLocked ()
void | setLocked (bool b)
bool | isHidden ()
void | setHidden (bool b)
void | setProgenitorFile (const char *pFile)
StringTableEntry | getProgenitorFile (void) const
void | setPeriodicTimerID (const S32 timerID)
S32 | getPeriodicTimerID (void) const
bool | isPeriodicTimerActive (void) const
bool | isSelected () const
bool | isExpanded () const
void | setSelected (bool sel)
void | setExpanded (bool exp)
void | setModDynamicFields (bool dyn)
void | setModStaticFields (bool sta)
| SimObject ()
virtual | ~SimObject ()
virtual void | onGroupAdd ()
| Called when the object is added to a SimGroup. More...
virtual void | onGroupRemove ()
| Called when the object is removed from a SimGroup. More...
virtual void | onNameChange (const char *name)
| Called when the object's name is changed. More...
virtual void | onStaticModified (const char *slotName, const char *newValue=NULL)
virtual void | inspectPreApply ()
virtual void | inspectPostApply ()
virtual void | onEditorEnable ()
| Called when the editor is activated. More...
virtual void | onEditorDisable ()
| Called when the editor is deactivated. More...
bool | registerObject ()
bool | registerObject (U32 id)
bool | registerObject (const char *name)
bool | registerObject (const char *name, U32 id)
void | unregisterObject ()
void | deleteObject ()
bool | addToSet (SimObjectId)
bool | addToSet (const char *)
bool | removeFromSet (SimObjectId)
bool | removeFromSet (const char *)
virtual void | writeFields (Stream &stream, U32 tabStop)
virtual bool | writeObject (Stream *stream)
virtual bool | readObject (Stream *stream)
virtual void | buildFilterList ()
void | addFieldFilter (const char *fieldName)
void | removeFieldFilter (const char *fieldName)
void | clearFieldFilters ()
bool | isFiltered (const char *fieldName)
void | assignFieldsFrom (SimObject *obj)
void | assignDynamicFieldsFrom (SimObject *obj)
Public Member Functions inherited from ConsoleObject
const AbstractClassRep::Field * | findField (StringTableEntry fieldName) const
| Get a reference to a field by name. More...
virtual AbstractClassRep * | getClassRep () const
| Gets the ClassRep. More...
bool | setField (const char *fieldName, const char *value)
| Set the value of a field. More...
virtual | ~ConsoleObject ()
const AbstractClassRep::FieldList & | getFieldList () const
| Get a list of all the fields. This information cannot be modified. More...
AbstractClassRep::FieldList & | getModifiableFieldList ()
bool & | getDynamicGroupExpand ()
S32 | getClassId (U32 netClassGroup) const
const char * | getClassName () const
Public Member Functions inherited from SceneRenderObject
| SceneRenderObject ()
virtual | ~SceneRenderObject ()
Public Member Functions inherited from PhysicsProxy
| PhysicsProxy ()
virtual | ~PhysicsProxy ()
Public Member Functions inherited from ImageFrameProvider
| ImageFrameProvider ()
virtual | ~ImageFrameProvider ()
Public Member Functions inherited from ImageFrameProviderCore
| ImageFrameProviderCore ()
virtual | ~ImageFrameProviderCore ()
void | allocateAssets (AssetPtr< ImageAsset > *pImageAssetPtr, AssetPtr< AnimationAsset > *pAnimationAssetPtr)
void | deallocateAssets (void)
virtual void | copyTo (ImageFrameProviderCore *pImageFrameProviderCore) const
virtual bool | update (const F32 elapsedTime)
| Integration. More...
virtual void | processTick ()
virtual void | interpolateTick (F32 delta)
virtual void | advanceTime (F32 timeDelta)
virtual void | setProcessTicks (bool tick)
bool | updateAnimation (const F32 elapsedTime)
virtual void | render (const bool flipX, const bool flipY, const Vector2 &vertexPos0, const Vector2 &vertexPos1, const Vector2 &vertexPos2, const Vector2 &vertexPos3, BatchRender *pBatchRenderer) const
void | renderGui (GuiControl &owner, Point2I offset, const RectI &updateRect) const
bool | setImage (const char *pImageAssetId)
| Static-Image Frame. More...
virtual bool | setImage (const char *pImageAssetId, const U32 frame)
virtual bool | setImage (const char *pImageAssetId, const char *pNamedFrame)
StringTableEntry | getImage (void) const
virtual bool | setImageFrame (const U32 frame)
U32 | getImageFrame (void) const
virtual bool | setNamedImageFrame (const char *frame)
StringTableEntry | getNamedImageFrame (void) const
virtual bool | setAnimation (const char *pAnimationAssetId)
| Animated-Image Frame. More...
StringTableEntry | getAnimation (void) const
void | setAnimationFrame (const U32 frameIndex)
S32 | getAnimationFrame (void) const
void | setAnimationTimeScale (const F32 scale)
F32 | getAnimationTimeScale (void) const
bool | playAnimation (const AssetPtr< AnimationAsset > &animationAsset)
void | pauseAnimation (const bool animationPaused)
void | stopAnimation (void)
void | resetAnimationTime (void)
bool | isAnimationPaused (void) const
bool | isAnimationFinished (void) const
bool | isAnimationValid (void) const
bool | isStaticFrameProvider (void) const
| Frame provision. More...
bool | isUsingNamedImageFrame (void) const
TextureHandle & | getProviderTexture (void) const
const ImageAsset::FrameArea & | getProviderImageFrameArea (void) const
const AnimationAsset * | getCurrentAnimation (void) const
const StringTableEntry | getCurrentAnimationAssetId (void) const
const U32 | getCurrentAnimationFrame (void) const
const char * | getCurrentNamedAnimationFrame (void) const
const F32 | getCurrentAnimationTime (void) const
void | clearAssets (void)
virtual void | resetState (void)
Public Member Functions inherited from Tickable
| Tickable ()
virtual | ~Tickable ()
virtual bool | isProcessingTicks () const

## Static Public Member Functions
static void | initPersistFields ()
Static Public Member Functions inherited from SpriteBase
static void | initPersistFields ()
Static Public Member Functions inherited from SceneObject
static void | initPersistFields ()
static void | resetBlendOptions (void)
static U32 | getGlobalSceneObjectCount (void)
static b2BodyType | getBodyTypeEnum (const char *label)
static const char * | getBodyTypeDescription (const b2BodyType bodyType)
static b2Shape::Type | getCollisionShapeTypeEnum (const char *label)
static const char * | getCollisionShapeTypeDescription (const b2Shape::Type collisionShapeType)
static S32 | getSrcBlendFactorEnum (const char *label)
static S32 | getDstBlendFactorEnum (const char *label)
static const char * | getSrcBlendFactorDescription (const GLenum factor)
static const char * | getDstBlendFactorDescription (const GLenum factor)
Static Public Member Functions inherited from SimComponent
static void | initPersistFields ()
static bool | setEnabled (void *obj, const char *data)
static bool | writeEnabled (void *obj, StringTableEntry pFieldName)
Static Public Member Functions inherited from SimObject
static void | initPersistFields ()
Static Public Member Functions inherited from ConsoleObject
static const char * | lookupClassName (const U32 in_classTag)
| Get the classname from a class tag. More...
static void | initPersistFields ()
static void | consoleInit ()
static ConsoleObject * | create (const char *in_pClassName)
static ConsoleObject * | create (const U32 groupId, const U32 typeId, const U32 in_classId)
static AbstractClassRep * | getStaticClassRep ()
| Get the abstract class information for this class. More...
static AbstractClassRep * | getParentStaticClassRep ()
| Get the abstract class information for this class's superclass. More...
Static Public Member Functions inherited from Tickable
static bool | advanceTime (U32 timeDelta)

## Static Protected Member Functions
static bool | setRepeatX (void *obj, const char *data)
static bool | writeRepeatX (void *obj, StringTableEntry pFieldName)
static bool | setRepeatY (void *obj, const char *data)
static bool | writeRepeatY (void *obj, StringTableEntry pFieldName)
static bool | writeScrollX (void *obj, StringTableEntry pFieldName)
static bool | writeScrollY (void *obj, StringTableEntry pFieldName)
static bool | writeScrollPositionX (void *obj, StringTableEntry pFieldName)
static bool | writeScrollPositionY (void *obj, StringTableEntry pFieldName)
Static Protected Member Functions inherited from SpriteBase
static bool | setImage (void *obj, const char *data)
static const char * | getImage (void *obj, const char *data)
static bool | writeImage (void *obj, StringTableEntry pFieldName)
static bool | setImageFrame (void *obj, const char *data)
static bool | setNamedImageFrame (void *obj, const char *data)
static bool | writeImageFrame (void *obj, StringTableEntry pFieldName)
static bool | writeNamedImageFrame (void *obj, StringTableEntry pFieldName)
static bool | setAnimation (void *obj, const char *data)
static const char * | getAnimation (void *obj, const char *data)
static bool | writeAnimation (void *obj, StringTableEntry pFieldName)
Static Protected Member Functions inherited from SceneObject
static S32 QSORT_CALLBACK | sceneObjectLayerDepthSort (const void *a, const void *b)
static bool | setLifetime (void *obj, const char *data)
| Lifetime. More...
static bool | writeLifetime (void *obj, StringTableEntry pFieldName)
static bool | setSceneLayer (void *obj, const char *data)
| Scene layers. More...
static bool | writeSceneLayer (void *obj, StringTableEntry pFieldName)
static bool | setSceneLayerDepth (void *obj, const char *data)
static bool | writeSceneLayerDepth (void *obj, StringTableEntry pFieldName)
static bool | setSceneGroup (void *obj, const char *data)
| Scene groups. More...
static bool | writeSceneGroup (void *obj, StringTableEntry pFieldName)
static bool | setSize (void *obj, const char *data)
| Area. More...
static bool | writeSize (void *obj, StringTableEntry pFieldName)
static bool | setPosition (void *obj, const char *data)
| Position / Angle. More...
static const char * | getPosition (void *obj, const char *data)
static bool | writePosition (void *obj, StringTableEntry pFieldName)
static bool | setAngle (void *obj, const char *data)
static const char * | getAngle (void *obj, const char *data)
static bool | writeAngle (void *obj, StringTableEntry pFieldName)
static bool | setFixedAngle (void *obj, const char *data)
static const char * | getFixedAngle (void *obj, const char *data)
static bool | writeFixedAngle (void *obj, StringTableEntry pFieldName)
static bool | setBodyType (void *obj, const char *data)
| Body. More...
static const char * | getBodyType (void *obj, const char *data)
static bool | writeBodyType (void *obj, StringTableEntry pFieldName)
static bool | setActive (void *obj, const char *data)
static const char * | getActive (void *obj, const char *data)
static bool | writeActive (void *obj, StringTableEntry pFieldName)
static bool | setAwake (void *obj, const char *data)
static const char * | getAwake (void *obj, const char *data)
static bool | writeAwake (void *obj, StringTableEntry pFieldName)
static bool | setBullet (void *obj, const char *data)
static const char * | getBullet (void *obj, const char *data)
static bool | writeBullet (void *obj, StringTableEntry pFieldName)
static bool | setSleepingAllowed (void *obj, const char *data)
static const char * | getSleepingAllowed (void *obj, const char *data)
static bool | writeSleepingAllowed (void *obj, StringTableEntry pFieldName)
static bool | setDefaultDensity (void *obj, const char *data)
| Collision control. More...
static bool | writeDefaultDensity (void *obj, StringTableEntry pFieldName)
static bool | setDefaultFriction (void *obj, const char *data)
static bool | writeDefaultFriction (void *obj, StringTableEntry pFieldName)
static bool | setDefaultRestitution (void *obj, const char *data)
static bool | writeDefaultRestitution (void *obj, StringTableEntry pFieldName)
static bool | setCollisionGroups (void *obj, const char *data)
static const char * | getCollisionGroups (void *obj, const char *data)
static bool | writeCollisionGroups (void *obj, StringTableEntry pFieldName)
static bool | setCollisionLayers (void *obj, const char *data)
static const char * | getCollisionLayers (void *obj, const char *data)
static bool | writeCollisionLayers (void *obj, StringTableEntry pFieldName)
static bool | writeCollisionSuppress (void *obj, StringTableEntry pFieldName)
static bool | writeCollisionOneWay (void *obj, StringTableEntry pFieldName)
static bool | setGatherContacts (void *obj, const char *data)
static bool | writeGatherContacts (void *obj, StringTableEntry pFieldName)
static bool | setLinearVelocity (void *obj, const char *data)
| Velocities. More...
static const char * | getLinearVelocity (void *obj, const char *data)
static bool | writeLinearVelocity (void *obj, StringTableEntry pFieldName)
static bool | setAngularVelocity (void *obj, const char *data)
static const char * | getAngularVelocity (void *obj, const char *data)
static bool | writeAngularVelocity (void *obj, StringTableEntry pFieldName)
static bool | setLinearDamping (void *obj, const char *data)
static const char * | getLinearDamping (void *obj, const char *data)
static bool | writeLinearDamping (void *obj, StringTableEntry pFieldName)
static bool | setAngularDamping (void *obj, const char *data)
static const char * | getAngularDamping (void *obj, const char *data)
static bool | writeAngularDamping (void *obj, StringTableEntry pFieldName)
static bool | setGravityScale (void *obj, const char *data)
| Gravity scaling. More...
static const char * | getGravityScale (void *obj, const char *data)
static bool | writeGravityScale (void *obj, StringTableEntry pFieldName)
static bool | writeVisible (void *obj, StringTableEntry pFieldName)
| Render visibility. More...
static bool | writeBlendMode (void *obj, StringTableEntry pFieldName)
| Render blending. More...
static bool | writeSrcBlendFactor (void *obj, StringTableEntry pFieldName)
static bool | writeDstBlendFactor (void *obj, StringTableEntry pFieldName)
static bool | writeBlendColor (void *obj, StringTableEntry pFieldName)
static bool | writeAlphaTest (void *obj, StringTableEntry pFieldName)
static bool | writeSortPoint (void *obj, StringTableEntry pFieldName)
| Render sorting. More...
static bool | writeRenderGroup (void *obj, StringTableEntry pFieldName)
static bool | writeUseInputEvents (void *obj, StringTableEntry pFieldName)
| Input events. More...
static bool | writePickingAllowed (void *obj, StringTableEntry pFieldName)
| Picking. More...
static bool | writeUpdateCallback (void *obj, StringTableEntry pFieldName)
| Script callbacks. More...
static bool | writeCollisionCallback (void *obj, StringTableEntry pFieldName)
static bool | writeSleepingCallback (void *obj, StringTableEntry pFieldName)
static bool | setScene (void *obj, const char *data)
| Scene. More...
static bool | writeScene (void *obj, StringTableEntry pFieldName)
Static Protected Member Functions inherited from SimObject
static bool | setClass (void *obj, const char *data)
static bool | setSuperClass (void *obj, const char *data)
static bool | writeCanSaveDynamicFields (void *obj, StringTableEntry pFieldName)
static bool | writeInternalName (void *obj, StringTableEntry pFieldName)
static bool | setParentGroup (void *obj, const char *data)
static bool | writeParentGroup (void *obj, StringTableEntry pFieldName)
static bool | writeSuperclass (void *obj, StringTableEntry pFieldName)
static bool | writeClass (void *obj, StringTableEntry pFieldName)
static SimObject::Notify * | allocNotify ()
| Get a free Notify structure. More...
static void | freeNotify (SimObject::Notify *)
| Mark a Notify structure as free. More...
Static Protected Member Functions inherited from ConsoleObject
static void | addGroup (const char *in_pGroupname, const char *in_pGroupDocs=NULL)
static void | endGroup (const char *in_pGroupname)
static void | addField (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, const U32 in_elementCount=1, EnumTable *in_table=NULL, const char *in_pFieldDocs=NULL)
static void | addField (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, AbstractClassRep::WriteDataNotify in_writeDataFn, const U32 in_elementCount=1, EnumTable *in_table=NULL, const char *in_pFieldDocs=NULL)
static void | addField (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, const char *in_pFieldDocs)
static void | addField (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, AbstractClassRep::WriteDataNotify in_writeDataFn, const char *in_pFieldDocs)
static void | addFieldV (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, ConsoleTypeValidator *v, const char *in_pFieldDocs=NULL)
static void | addProtectedField (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, AbstractClassRep::SetDataNotify in_setDataFn, AbstractClassRep::GetDataNotify in_getDataFn=&defaultProtectedGetFn, const U32 in_elementCount=1, EnumTable *in_table=NULL, const char *in_pFieldDocs=NULL)
static void | addProtectedField (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, AbstractClassRep::SetDataNotify in_setDataFn, AbstractClassRep::GetDataNotify in_getDataFn=&defaultProtectedGetFn, AbstractClassRep::WriteDataNotify in_writeDataFn=&defaultProtectedWriteFn, const U32 in_elementCount=1, EnumTable *in_table=NULL, const char *in_pFieldDocs=NULL)
static void | addProtectedField (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, AbstractClassRep::SetDataNotify in_setDataFn, AbstractClassRep::GetDataNotify in_getDataFn=&defaultProtectedGetFn, const char *in_pFieldDocs=NULL)
static void | addProtectedField (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, AbstractClassRep::SetDataNotify in_setDataFn, AbstractClassRep::GetDataNotify in_getDataFn=&defaultProtectedGetFn, AbstractClassRep::WriteDataNotify in_writeDataFn=&defaultProtectedWriteFn, const char *in_pFieldDocs=NULL)
static void | addDepricatedField (const char *fieldName)
static bool | removeField (const char *in_pFieldname)

## Additional Inherited Members
Public Types inherited from BehaviorComponent
typedef Vector< BehaviorPortConnection > | typePortConnectionVector
typedef HashMap< StringTableEntry, typePortConnectionVector * > | typeOutputNameConnectionHash
typedef HashMap< SimObjectId, typeOutputNameConnectionHash * > | typeInstanceConnectionHash
Public Types inherited from SimObject
enum | WriteFlags { SelectedOnly = BIT(0) }
Public Types inherited from PhysicsProxy
enum | ePhysicsProxyType { PHYSIC_PROXY_INVALID, PHYSIC_PROXY_CUSTOM, PHYSIC_PROXY_SCENEOBJECT, PHYSIC_PROXY_GROUNDBODY }
Public Attributes inherited from BehaviorComponent
typeInstanceConnectionHash | mBehaviorConnections
Static Public Attributes inherited from Tickable
static const U32 | smTickShift = 4
| Shift value to control how often Ticks occur. More...
static const U32 | smTickMs = ( 1 << smTickShift )
| Number of milliseconds per tick, 32 in this case. More...
static const F32 | smTickSec = ( F32( Tickable::smTickMs ) / 1000.f )
| Fraction of a second per tick. More...
static const U32 | smTickMask = ( smTickMs - 1 )
Protected Types inherited from SimComponent
typedef VectorPtr< SimComponent * >::iterator | SimComponentIterator
| Returns a const reference to private mComponentList. More...
Protected Member Functions inherited from SpriteBase
virtual void | onAnimationEnd (void)
Protected Member Functions inherited from SceneObject
virtual void | OnRegisterScene (Scene *pScene)
| Scene (un)registering. More...
virtual void | OnUnregisterScene (Scene *pScene)
void | resetTickSpatials (const bool resize=false)
| Ticking. More...
bool | getSpatialDirty (void) const
void | initializeContactGathering (void)
| Contact processing. More...
virtual void | onTamlCustomWrite (TamlCustomNodes &customNodes)
| Taml callbacks. More...
virtual void | onTamlCustomRead (const TamlCustomNodes &customNodes)
| Called during the reading of the object to allow custom properties to be read. More...
F32 | processEffect (const F32 current, const F32 target, const F32 rate)
S32 | copyCircleCollisionShapeTo (SceneObject *pSceneObject, const b2FixtureDef &fixtureDef) const
S32 | copyPolygonCollisionShapeTo (SceneObject *pSceneObject, const b2FixtureDef &fixtureDef) const
S32 | copyChainCollisionShapeTo (SceneObject *pSceneObject, const b2FixtureDef &fixtureDef) const
S32 | copyEdgeCollisionShapeTo (SceneObject *pSceneObject, const b2FixtureDef &fixtureDef) const
Protected Member Functions inherited from BehaviorComponent
virtual const char * | _callMethod (U32 argc, const char *argv[], bool callThis=true)
Protected Member Functions inherited from SimComponent
SimComponent * | _getOwner ()
VectorPtr< SimComponent * > & | lockComponentList ()
void | unlockComponentList ()
virtual bool | onComponentRegister (SimComponent *owner)
virtual void | onComponentUnRegister ()
Protected Member Functions inherited from SimObject
virtual void | onTamlPreWrite (void)
| Taml callbacks. More...
virtual void | onTamlPostWrite (void)
| Called after Taml has finished writing the object. More...
virtual void | onTamlPreRead (void)
| Called prior to Taml reading the object. More...
virtual void | onTamlPostRead (const TamlCustomNodes &customNodes)
virtual void | onTamlAddParent (SimObject *pParentObject)
| Called after Taml has finished reading the object and has added the object to any parent. More...
void | linkNamespaces ()
void | unlinkNamespaces ()
Protected Member Functions inherited from ConsoleObject
| ConsoleObject ()
| ConsoleObject (const ConsoleObject &)
Protected Member Functions inherited from ImageFrameProvider
virtual void | onAssetRefreshed (AssetPtrBase *pAssetPtrBase)
Protected Attributes inherited from SceneObject
SimObjectPtr< Scene > | mpScene
| Scene. More...
SimObjectPtr< Scene > | mpTargetScene
F32 | mLifetime
| Lifetime. More...
bool | mLifetimeActive
U32 | mSceneLayer
| Scene layers. More...
U32 | mSceneLayerMask
F32 | mSceneLayerDepth
U32 | mSceneGroup
| Scene groups. More...
U32 | mSceneGroupMask
Vector2 | mSize
| Area. More...
bool | mAutoSizing
b2AABB | mPreTickAABB
b2AABB | mCurrentAABB
Vector2 | mLocalSizeOOBB [4]
Vector2 | mRenderOOBB [4]
S32 | mWorldProxyId
bool | mGrowActive
Vector2 | mTargetSize
Vector2 | mDeltaSize
Vector2 | mPreTickPosition
| Position / Angle. More...
F32 | mPreTickAngle
Vector2 | mRenderPosition
F32 | mRenderAngle
bool | mSpatialDirty
Vector2 | mLastCheckedPosition
Vector2 | mTargetPosition
bool | mTargetPositionActive
F32 | mDistanceToTarget
F32 | mTargetPositionMargin
bool | mTargetPositionFound
bool | mSnapToTargetPosition
bool | mStopAtTargetPosition
b2Body * | mpBody
| Body. More...
b2BodyDef | mBodyDefinition
U32 | mWorldQueryKey
U32 | mCollisionLayerMask
| Collision control. More...
U32 | mCollisionGroupMask
bool | mCollisionSuppress
bool | mCollisionOneWay
b2FixtureDef | mDefaultFixture
bool | mGatherContacts
Scene::typeContactVector * | mpCurrentContacts
typeCollisionFixtureDefVector | mCollisionFixtureDefs
| General collision shape access. More...
typeCollisionFixtureVector | mCollisionFixtures
bool | mVisible
| Render visibility. More...
bool | mBlendMode
| Render blending. More...
S32 | mSrcBlendFactor
S32 | mDstBlendFactor
ColorF | mBlendColor
F32 | mAlphaTest
bool | mFadeActive
ColorF | mTargetColor
F32 | mDeltaRed
F32 | mDeltaGreen
F32 | mDeltaBlue
F32 | mDeltaAlpha
Vector2 | mSortPoint
| Render sorting. More...
bool | mUseInputEvents
| Input events. More...
bool | mUpdateCallback
| Script callbacks. More...
bool | mCollisionCallback
bool | mSleepingCallback
bool | mLastAwakeState
U32 | mDebugMask
| Debug mode. More...
SceneWindow * | mpAttachedCamera
| Camera mounting. More...
bool | mAttachedGuiSizeControl
| GUI attachment. More...
GuiControl * | mpAttachedGui
SceneWindow * | mpAttachedGuiSceneWindow
bool | mBeingSafeDeleted
| Safe deletion. More...
bool | mSafeDeleteReady
typeDestroyNotificationVector | mDestroyNotifyList
| Destroy notifications. More...
bool | mBatchIsolated
| Miscellaneous. More...
U32 | mSerialiseKey
bool | mEditorTickAllowed
bool | mPickingAllowed
bool | mAlwaysInScope
U32 | mRotateToEventId
U32 | mSerialId
StringTableEntry | mRenderGroup
Protected Attributes inherited from SimComponent
bool | mEnabled
Protected Attributes inherited from SimObject
SimObjectId | mId
| Id number for this object. More...
StringTableEntry | mIdString
Namespace * | mNameSpace
U32 | mTypeMask
S32 | mScriptCallbackGuard
| Whether the object is executing a script callback. More...
bool | mCanSaveFieldDictionary
| true if dynamic fields (added at runtime) should be saved, defaults to true More...
StringTableEntry | mInternalName
| Stores object Internal Name. More...
StringTableEntry | mClassName
| Stores the class name to link script class namespaces. More...
StringTableEntry | mSuperClassName
| Stores super class name to link script class namespaces. More...
Protected Attributes inherited from ImageFrameProvider
AssetPtr< ImageAsset > | mImageAsset
AssetPtr< AnimationAsset > | mAnimationAsset
Protected Attributes inherited from ImageFrameProviderCore
bool | mSelfTick
bool | mStaticProvider
bool | mUsingNamedFrame
U32 | mImageFrame
StringTableEntry | mNamedImageFrame
AssetPtr< ImageAsset > * | mpImageAsset
AssetPtr< AnimationAsset > * | mpAnimationAsset
S32 | mLastFrameIndex
S32 | mCurrentFrameIndex
U32 | mMaxFrameIndex
F32 | mCurrentTime
F32 | mPausedTime
F32 | mCurrentModTime
F32 | mAnimationTimeScale
F32 | mTotalIntegrationTime
F32 | mFrameIntegrationTime
bool | mAnimationPaused
bool | mAnimationFinished
Static Protected Attributes inherited from SimObject
static SimObject::Notify * | mNotifyFreeList = NULL

## Constructor & Destructor Documentation

Scroller | ( |  | ) |

~Scroller | ( |  | ) |
| virtual

## Member Function Documentation

void copyTo | ( | SimObject * | object | ) |
| virtual

Reimplemented from SpriteBase.

DECLARE_CONOBJECT | ( | Scroller |  | ) |

Declare Console Object.

F32 getRepeatX | ( |  | ) |
| inline

F32 getRepeatY | ( |  | ) |
| inline

F32 getScrollPositionX | ( |  | ) |
| inline

F32 getScrollPositionY | ( |  | ) |
| inline

F32 getScrollX | ( |  | ) |
| inline

F32 getScrollY | ( |  | ) |
| inline

void initPersistFields | ( |  | ) |
| static

void integrateObject | ( | const F32 | totalTime,
|  | const F32 | elapsedTime,
|  | DebugStats * | pDebugStats
| ) |  |
| virtual

Reimplemented from SpriteBase.

void interpolateObject | ( | const F32 | timeDelta | ) |
| virtual

Reimplemented from SceneObject.

bool onAdd | ( | void |  | ) |
| virtual

Engine.

Reimplemented from SceneObject.

void onRemove | ( |  | ) |
| virtual

Called when the object is removed from the sim.

Reimplemented from SceneObject.

void resetTickScrollPositions | ( | void |  | ) |

Tick Processing.

void sceneRender | ( | const SceneRenderState * | pSceneRenderState,
|  | const SceneRenderRequest * | pSceneRenderRequest,
|  | BatchRender * | pBatchRenderer
| ) |  |
| virtual

Reimplemented from SceneObject.

virtual void setAngle | ( | const F32 | radians | ) |
| inline virtual

Reimplemented from SceneObject.

virtual void setFixedAngle | ( | const bool | fixed | ) |
| inline virtual

Reimplemented from SceneObject.

void setRepeat | ( | const F32 | repeatX,
|  | const F32 | repeatY
| ) |  |

void setRepeatX | ( | const F32 | repeatX | ) |
| inline

static bool setRepeatX | ( | void * | obj,
|  | const char * | data
| ) |  |
| inline static protected

void setRepeatY | ( | const F32 | repeatY | ) |
| inline

static bool setRepeatY | ( | void * | obj,
|  | const char * | data
| ) |  |
| inline static protected

void setScroll | ( | F32 | scrollX = `0.0f`,
|  | F32 | scrollY = `0.0f`
| ) |  |

void setScrollPosition | ( | F32 | scrollX,
|  | F32 | scrollY
| ) |  |

void setScrollPositionX | ( | F32 | scrollX | ) |
| inline

void setScrollPositionY | ( | F32 | scrollY | ) |
| inline

void setScrollX | ( | F32 | x | ) |
| inline

void setScrollY | ( | F32 | y | ) |
| inline

void updateTickScrollPosition | ( | void |  | ) |

static bool writeRepeatX | ( | void * | obj,
|  | StringTableEntry | pFieldName
| ) |  |
| inline static protected

static bool writeRepeatY | ( | void * | obj,
|  | StringTableEntry | pFieldName
| ) |  |
| inline static protected

static bool writeScrollPositionX | ( | void * | obj,
|  | StringTableEntry | pFieldName
| ) |  |
| inline static protected

static bool writeScrollPositionY | ( | void * | obj,
|  | StringTableEntry | pFieldName
| ) |  |
| inline static protected

static bool writeScrollX | ( | void * | obj,
|  | StringTableEntry | pFieldName
| ) |  |
| inline static protected

static bool writeScrollY | ( | void * | obj,
|  | StringTableEntry | pFieldName
| ) |  |
| inline static protected

The documentation for this class was generated from the following files:

- 2d/sceneobject/Scroller.h
- 2d/sceneobject/Scroller.cc